#ifndef __PWM_H
#define __PWM_H

#include "ch32v10x.h"

#define TIMING_ONE  60  //T1H 1码
#define TIMING_ZERO 30  //T0L 0码

//RGB数据缓存 230是留的reset时间，RESET需要280us以上，传输一个bit需要1.25us，所以至少需要reset bit数>280/1.25 = 224,这里取了230个bit
//一个颜色需要8个，RGB就是3*8 = 24,也就是一个灯珠的颜色数据
/*
数据样例说明：下面是一个灯芯的GRB数据（实际RGB传输是按照GRB顺序来传输的）
如： 87 87 33 33 87 33 33 33     33 33 33 33 33 33 33 33        87 87 87 87 87 87 87 87
上面24个数据，每8个一组，分别代表G R B
87是1码 33是0码，所以上面就译码成：
1 1 0 0 1 0 0 0    0 0 0 0 0 0 0 0 0   1 1 1 1 1 1 1 1
G = 200             R = 0               b = 255
*/
#define LED_NUM     8   //灯珠数量
#define TRS_NUM     (24*LED_NUM+230) //发送数组数量
//#define TRS_NUM     24*LED_NUM         //发送数组数量

void WS2812B_PWM_Init(void);
void send_Data(uint32_t rgb);

#endif
